# QProgressDialog Class Reference

### [com.trolltech.qt.gui package]

Inherits QDialog.

### Constructor

- void QProgressDialog(QWidget parent, WindowFlags flags)
- void QProgressDialog(String labelText, String cancelButtonText, int minimum, int maximum, QWidget parent, WindowFlags flags)

### Constructor Properties

- prototype: The QProgressDialog prototype object

### Prototype Object Properties

The QProgressDialog prototype object inherits properties from the QDialog prototype object and also has the following properties.

- void open(QObject receiver, char member)
- void setBar(QProgressBar bar)
- void setCancelButton(QPushButton button)
- void setLabel(QLabel label)

### Instance Properties

QProgressDialog objects inherit properties from the QProgressDialog prototype object and also have the following properties.

- wasCanceled
- minimum
- maximum
- value
- autoReset
- autoClose
- minimumDuration
- labelText